package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 诊断详细bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/12/7
 */
public class DiagnosisDetailResult implements Serializable {

    @ApiModelProperty(value = "结果")
    private String result;

    @ApiModelProperty(value = "建议")
    private String advice;

    @ApiModelProperty(value = "模块名称")
    private String name;

    @ApiModelProperty(value = "模块")
    private ModuleResult modules;

    @ApiModelProperty(value = "详情")
    private DimensionResult detail;

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ModuleResult getModules() {
        return modules;
    }

    public void setModules(ModuleResult modules) {
        this.modules = modules;
    }

    public DimensionResult getDetail() {
        return detail;
    }

    public void setDetail(DimensionResult detail) {
        this.detail = detail;
    }
}
